install problem with wxpython-phoenix with Ubuntu

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

install problem with wxpython-phoenix with Ubuntu

Toby, Brian H.
I have been trying to perform a pip install using anaconda Python 3.7 with great difficulty on Ubuntu 16.04.03. The notes in https://github.com/wxWidgets/Phoenix/blob/master/README.rst helped me install packages that let me get through the build, but something is still failing. Any suggestions? 

I have tried these commands:
~/conda3/bin/pip install -U wxpython
~/conda3/bin/pip install -U --pre  -f https://wxpython.org/Phoenix/snapshot-builds/linux/gtk3/ubuntu-16.04   wxPython

However, either way, wx is either not correctly built or installed: 
(root) toby@brian-Parallels-32:~$ ~/conda3/bin/python
Python 3.6.3 |Anaconda, Inc.| (default, Nov 20 2017, 19:49:32) 
[GCC 7.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import wx
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/toby/conda3/lib/python3.6/site-packages/wx/__init__.py", line 17, in <module>
    from wx.core import *
  File "/home/toby/conda3/lib/python3.6/site-packages/wx/core.py", line 12, in <module>
    from ._core import *
ModuleNotFoundError: No module named 'wx._core'
>>> 


--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.